pro plot_slide,xvector,yarray,labels,x2vector=x2vector,y2array=y2array,wid=wid
;
; Plots y(*,i) vs x(*), with i selected using a widget.
;
common PlotSlideLocal,x,y,x2,y2,do2,plabels,d_wid
;
count=n_elements(yarray(0,*))
;
x=xvector
y=yarray
if n_elements(labels) eq 0 then labels=sindgen(count)
plabels=labels
if n_elements(y2array) gt 0 then begin
	if n_elements(x2vector) eq 0 then x2=x $
				     else x2=x2vector
	y2=y2array
	do2=1
endif else do2=0
;
base_wid=widget_base(/column) & wid=base_wid
d_wid=widget_draw(base_wid,notify_realize='plotslide_event', $
	event_pro='plotslide_event', $
	scr_xsize=500,scr_ysize=200)
i_wid=cw_fslider(base_wid,minimum=1,maximum=count,value=1,/drag, $
	title='Index I',xsize=500,format='(i0)',uvalue='i')
j_wid=cw_fslider(base_wid,minimum=0,maximum=100,value=0,/drag, $
	title='Index J',xsize=500,format='(i0)',uvalue='j')
widget_control,base_wid,/realize
xmanager,'plot_slide',base_wid,/no_block,event_handler='plotslide_event'
;
end
;-------------------------------------------------------------------------------
pro plotslide_event,event
;
common PlotSlideLocal,x,y,x2,y2,do2,plabels,d_wid
common PlotslideEventLocal,i,j,index0
;
result=size(event)
if result(n_elements(result)-2) ne 8 then begin
	value=1
	i=1
	j=0
endif else begin
	widget_control,event.id,get_uvalue=slider,get_value=value
	case slider of
		'i':i=long(value)
		'j':j=long(value)
	endcase
endelse
;
index=i+j-1
if n_elements(index0) eq 0 then index0=index-1
if index eq index0 then return else index0=index
if index ge n_elements(plabels) then return
yi=extrac(y,0,index,n_elements(y(*,0)),1)
xi=extrac(x,0,index,n_elements(x(*,0)),1)
widget_control,d_wid,get_value=id
wset,id
plot,xi,yi,title=plabels(index)
;
if do2 then oplot,x2,extrac(y2,0,index,n_elements(y2(*,0)),1),psym=0
;
end
